package com.qmth.qrzk.repository.common.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import com.qmth.qrzk.repository.service.query.PaperBatchParams;
import com.qmth.qrzk.repository.service.query.PaperParams;
import com.qmth.qrzk.repository.user.model.PaperPaperBatch;


@Component("paperPaperBatchMapper")
public interface PaperPaperBatchMapper extends CommonMapper{
	public void insert(PaperPaperBatch ppb);
	
	public int updateBatchIdWithPaperId(@Param("batchId")int batchId,@Param("paperId")int paperId);
	
	public int updateInfo(PaperBatchParams pbp);
	
	public int updateRevocation(PaperBatchParams pbp);
	
	public List<PaperPaperBatch> findPaperIdByBatchId(@Param("batchId")int batchId);
	
	public int removeFromBatch(PaperParams pp);
	
	public int removePaperFromBatch(PaperParams pp);
	
	public PaperPaperBatch findPaperPaperBatch(@Param("batchId")int batchId,@Param("paperId")int paperId);
	
	public void deleteByBatchId(@Param("batchId")int batchId);
	
	public void updateIsAnswerSheetReturn(PaperParams pp);
	
	public List<PaperPaperBatch> findPaperIdByIsStorageScanned(@Param("batchId")int batchId);
	
	public int getCountIsStorageScanned(PaperParams pp);
	public int getCountIsOutBoundScanned(PaperParams pp);
}
